<section>
    <div class="container fluid"></div>
     <nav class="navbar navbar-expand-lg navbar-light" style="background-color:#0E4D92">
        <a class="navbar-brand text-white fs-4 fw-bold" href="#">PasteBook</a>

        <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
        <div *ngIf="hasToken; else noToken" id="logInNav">
          <div class="input-group" id="search">
            <div class="form-outline">
              <input type="search" id="form1" class="form-control" placeholder="Search" size="50"/>
            </div>
            <button type="button" class="btn btn-primary">
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z"/>
              </svg>
            </button>
          </div>
       
          <li class="nav-item dropdown" id="drop">
            <a class="nav-link dropdown-toggle" href="#" id="user-dropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">{{email}}</a>
            <ul class="dropdown-menu" aria-labelledby="user-dropdown">
                <li><a class="dropdown-item" (click)= "logout()">Logout</a></li>
                <li><a class="dropdown-item" routerLink="/myProfile">MyProfile</a></li>
            </ul>
          </li>
      </div>
    </ul>
 
      
        <ng-template #noToken>
      </ng-template>
    </nav>   
  </section>
